Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.jgroups
Class JGroupsTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.jgroups.JGroupsTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

public class JGroupsTransportChannelFactory
extends java.lang.Object
implements TransportChannelFactory

A JGroups implementation of a TransportChannelFactory

Version:
  $Revision: 1.3 $

Constructor Summary
`JGroupsTransportChannelFactory()`
`JGroupsTransportChannelFactory(org.jgroups.ChannelFactory channelFactory, java.lang.Object channelConfiguration, java.lang.String channelName)`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, java.net.URI remoteLocation)` Create a Channel to a remote Node - e.g.
`TransportChannel` | `create(WireFormat wireFormat, java.net.URI remoteLocation, java.net.URI localLocation)` Create a Channel to a remote Node - e.g.
`protected org.jgroups.Channel` | `createChannel(java.net.URI remoteLocation)`
`java.lang.Object` | `getChannelConfiguration()`
`org.jgroups.ChannelFactory` | `getChannelFactory()`
`java.lang.String` | `getChannelName()`
`boolean` | `requiresEmbeddedBroker()` Does this channel require an embedded broker to perform such as VM or multicast based transports
`void` | `setChannelConfiguration(java.lang.Object channelConfiguration)`
`void` | `setChannelFactory(org.jgroups.ChannelFactory channelFactory)`
`void` | `setChannelName(java.lang.String channelName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGroupsTransportChannelFactory

    public JGroupsTransportChannelFactory()

### JGroupsTransportChannelFactory

    public JGroupsTransportChannelFactory(org.jgroups.ChannelFactory channelFactory,
                                          java.lang.Object channelConfiguration,
                                          java.lang.String channelName)

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   java.net.URI remoteLocation)
                            throws JMSException

  Description copied from interface: `TransportChannelFactory`
  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   java.net.URI remoteLocation,
                                   java.net.URI localLocation)
                            throws JMSException

  Description copied from interface: `TransportChannelFactory`
  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### requiresEmbeddedBroker

    public boolean requiresEmbeddedBroker()

  Description copied from interface: `TransportChannelFactory`
  Does this channel require an embedded broker to perform such as VM or multicast based transports

  Specified by:
    `requiresEmbeddedBroker` in interface `TransportChannelFactory`
  Returns:
    true if an embedded broker is a requirement of using the channel

### getChannelFactory

    public org.jgroups.ChannelFactory getChannelFactory()

### setChannelFactory

    public void setChannelFactory(org.jgroups.ChannelFactory channelFactory)

### getChannelConfiguration

    public java.lang.Object getChannelConfiguration()

### setChannelConfiguration

    public void setChannelConfiguration(java.lang.Object channelConfiguration)

### getChannelName

    public java.lang.String getChannelName()

### setChannelName

    public void setChannelName(java.lang.String channelName)

### createChannel

    protected org.jgroups.Channel createChannel(java.net.URI remoteLocation)
                                         throws org.jgroups.ChannelException

  Throws:
    `org.jgroups.ChannelException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.